# Update-RASAgent.md

## NAME

Update-RASAgent

## SYNOPSIS

Updates one or more RAS Agents.

## SYNTAX

**Update-RASAgent** \[-[InputObject](#inputobject)] *(*[*RASAgentInfo\[\]*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasagentinfo.md)*)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Update-RASAgent** \[-[InputObject](#inputobject)] *(*[*RASAgentInfo\[\]*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasagentinfo.md)*)* -[Password](#password-string) *(SecureString)* -[Username](#username-string) *(string)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Update-RASAgent** \[[Server](#server-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] \[[Force](#force-string) *(SwitchParameter)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Update-RASAgent** \[[Server](#server-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] -[Password](#password-string) *(SecureString)* -[Username](#username-string) *(string)* \[[Force](#force-string) *(SwitchParameter)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Updates one or more RAS Agents.

## PARAMETERS

## Server (string)

The name of the RAS agent server.

The name can be either FQDN or IP address, but you have to enter the actual name this server has in the RAS farm.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID in which to modify the specified server.

If the parameter is omitted, the site ID of the Licensing Server will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Force (SwitchParameter)

When 'Force' is passed, only the known info will be used and force the operation.

If the parameter is omitted, the RAS Agent info is retrieved with the supplied info.

```
        Required?                    false

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Username (string)

An administrator account to remotely perform operation on the RAS agent from the server.

If this parameter is omitted, your RAS admin username (and password) will be used by default.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Password (SecureString)

The password of the account specified in the Username parameter.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([RASAgentInfo\[\]](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasagentinfo.md))

The RAS agent info.

To obtain an RASAgentInfo object representing an RAS agent info list, use the Get-RASAgent command."

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[RASAgentInfo\[\]](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasagentinfo.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Update-RASAgent "server.company.dom"

Updates the specified RAS Agent.

The RAS agent will be remotely updated using your RAS admin credentials.\
\*\*---------- EXAMPLE 2 ----------

Update-RASAgent "server.company.dom" -Username "myname" -Password $pass

Updates the specified RAS Agent.

The RAS agent will be remotely updated using the specified credentials.\
\*\*---------- EXAMPLE 3 ----------

Get-RASAgent "server.company.dom" | Update-RASAgent

Updates the RAS agent represented by the object obtained from the pipeline output.

## RELATED LINKS

* [Get-RASAgent](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasagent.md)
* [Get-RASAgentDiagnostic](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasagentdiagnostic.md)
* [Remove-RASAgent](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasagent.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/update-rasagent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
